Subject: Re: A family of TCP-friendly congestion control algorithms

From: "Dr. Injong Rhee" <[email-masked]>
Date: Mon, 29 May 2000 10:25:22 -0400

Hari,

 I would also like to direct your attention to
our tcp-friendly paper which was announced a few weeks ago on end-to-end
mailing list (it seems you might have missed it :-).

The paper can be found in

 http://www.csc.ncsu.edu/faculty/rhee/export/tear_page

It describes a scheme called TEAR (TCP emulation at receiver). By emulating TCP
AIMD at the receiver, the receiver finds an equilibrium operating point without
actually modulating tcp sending rates, and asks the sender to set its
transmission rate to this point. Since the equilibrium point does not fluctuate
as much as the actual cwnd values of TCP, TEAR smoothes the transmission rate
very effectively while achieving tcp-friendliness. Some detailed comparison
with TFRC can be found from the paper.

Some bug fixes are reported from TFRC folks recently and we are testing the new
version and conducting some more extensive simulation experiments suggested by
TFRC folks as well. We will report the result in a couple of days.

Stay tuned...
Injong

On May 28,  8:02pm, Hari Balakrishnan wrote:
> Subject: A family of TCP-friendly congestion control algorithms
>
> We are pleased to announce the availability of a new paper on a family
> of TCP-friendly congestion control algorithms that generalize
> TCP-style additive-increase/multiplicative-decrease and have some
> interesting properties, including their potential suitability for
> streaming apps where drastic reductions in rates due to congestion
> control may be unsuitable.  In addition, the paper makes some general
> observations about the behavior of increase/decrease mechanisms for
> bandwidth-probing/congestion-reaction.
>
> This paper, titled "TCP-friendly Congestion Control for Real-time
> Streaming Applications" is available as a technical report,
> MIT-LCS-TR-806, from http://nms.lcs.mit.edu/papers/cm-binomial.html
> (abstract attached below).
>
> Comments and suggestions are welcome.  Thanks,
>
> Deepak Bansal & Hari Balakrishnan
> {bansal,[email-masked]
>
> ---------------------------------------------------------------------
>
> TCP-friendly Congestion Control for Real-time Streaming Applications
> Deepak Bansal and Hari Balakrishnan
> MIT Technical Report, MIT-LCS-TR-806.
>
> This paper introduces and analyzes a class of nonlinear congestion
> control algorithms called "binomial algorithms," motivated in part by
> the needs of streaming audio and video applications for which a
> drastic reduction in transmission rate upon congestion is problematic.
> Binomial algorithms generalize TCP-style additive-increase by
> increasing inversely proportional to a power $k$ of the current window
> (for TCP, $k=0$) ; they generalize TCP-style multiplicative-decrease
> by decreasing proportional to a power $l$ of the current window (for
> TCP, $l=1$).  We show that there are an infinite number of deployable
> TCP-friendly binomial algorithms, all of which satisfy $k+l=1$, and
> that all binomial algorithms converge to fairness under a
> synchronized-feedback assumption provided $k+l > 0; k,l >= 0$.  Our
> simulation results show that binomial algorithms interact well with
> TCP across a RED bottleneck gateway.  We focus on two particular
> algorithms, IIAD (inverse-increase/additive-decrease, $k=1, l=0$) and
> SQRT ($k=l=0.5$), showing that they are well-suited to applications
> that do not react well to large TCP-style window reductions.  We also
> find that TCP-friendliness in terms of the relationship between
> throughput and loss rate of an algorithm does not necessarily imply
> fairness relative to TCP performance, especially for drop-tail
> bottleneck gateways.
>-- End of excerpt from Hari Balakrishnan

-- 
Injong Rhee, Department of Computer Science
North Carolina State University, Raleigh, NC 27695
Home page: http://www.csc.ncsu.edu/faculty/rhee
Email: [email-masked], Phone: 919-515-3305, Fax: 919-515-7925

---

From: "Pedro Revriego" <[email-masked]>
Date: Tue, 30 May 2000 00:42:23 PDT

Hi All,

Yet another Technical report on TCP-Friendly Congestion Control.
The abstract is included and the report is available at :

http://www.icsi.berkeley.edu/techreports/index.html

Any comments are most welcomed...

Best Regards,

Pedro Reviriego

Variable Packet Size Equation Based Congestion Control

Pedro Reviriego Vasallo

tr-00-008.ps.gz

April 2000

Abstract

This report, extends previous work in equation-based congestion control for 
unicast traffic. Most best effort traffic on the internet is appropriately 
served by TCP which is the dominant transport protocol on the internet. 
However, there is a growing number of multimedia application for which TCP 
is not well suited. For those applications, several congestion control 
mechanisms have been proposed in order to avoid congestion collapse on the 
internet. One of them is the recently proposed TCP Friendly Rate Control 
Protocol (TFRC). It can be only used by flows that have a constant packet 
size. In this paper, we propose an extension to the TFRC protocol in order 
to support variable packet size flows. Variable packet size has been used 
for the transmission of video over the internet and is also used in voice 
applications. So it is important for a congestion control protocol to 
support variable packet size flows.

We also explore the concept of fairness among flows when some of the flows 
send small packets. Currently, these flows are penalized by TFRC because it 
imitates TCP's behavior giving less throughput to flows that use small 
packets. We argue that if a flow is sending small packets because the 
application requires it to do so (for example to minimize delay in a voice 
over IP conversation) it should get the same amount of bandwidth as a TCP 
session using large packets. This results in a modified concept of TCP 
friendliness that we introduce in this paper.

Finally we analyze some shortcomings of the equation used by TFRC to model 
TCP behavior and show that the impact of TCP timeouts are not completely 
modeled by the current TFRC equation.

--------------------------------------------------------------------------------

________________________________________________________________________
Get Your Private, Free E-mail from MSN Hotmail at http://www.hotmail.com